#include "audioaiassistantiatproxy.h"
#include "audioaiassistantsetting.h"
#include "audioaiassistant.h"

UOSAI_USE_NAMESPACE

AudioAiassistantIatProxy::AudioAiassistantIatProxy(AudioAiassistant *parent)
    : QObject(parent)
    , q(parent)
{

}

AudioAiassistantIatProxy::~AudioAiassistantIatProxy()
{

}

void AudioAiassistantIatProxy::setIatEnable(bool on)
{
    AudioAiassistantSetting::instance()->setIatEnable(on);
}

bool AudioAiassistantIatProxy::getIatEnable()
{
    return AudioAiassistantSetting::instance()->getIatEnable();
}

void AudioAiassistantIatProxy::setIatLanguage(QString language)
{
    AudioAiassistantSetting::instance()->setIatLanguage(language);
}

QString AudioAiassistantIatProxy::getIatLanguage()
{
    return AudioAiassistantSetting::instance()->getIatLanguage();
}

bool AudioAiassistantIatProxy::setEos(int eos)
{
   return  AudioAiassistantSetting::instance()->setEos(eos);
}

int  AudioAiassistantIatProxy::getEos()
{
    return AudioAiassistantSetting::instance()->getEos();
}

bool AudioAiassistantIatProxy::setBos(int bos)
{
   return  AudioAiassistantSetting::instance()->setBos(bos);
}

int  AudioAiassistantIatProxy::getBos()
{
    return AudioAiassistantSetting::instance()->getBos();
}

bool  AudioAiassistantIatProxy::setBosWarning(int warningTime)
{
    return AudioAiassistantSetting::instance()->setBosWarning(warningTime);
}

int  AudioAiassistantIatProxy::getBosWarning()
{
   return AudioAiassistantSetting::instance()->getBosWarning();
}


